"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chalk_1 = require("chalk");
var debug = require("debug");
var log = require("fancy-log");
var os = require("os");
/** An all-purpose separator */
var separator = "==================================================";
/** DEBUG=timpla logger */
exports.devLogger = debug('timpla');
/** Logs the given list of strings to the console. */
exports.devLoggerTitle = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    exports.devLogger(os.EOL);
    exports.devLogger(chalk_1.default.green(separator));
    args.forEach(function (t) { return exports.devLogger(chalk_1.default.green(t)); });
    exports.devLogger(chalk_1.default.green(separator));
    exports.devLogger(os.EOL);
};
/** Logs the given list of strings to the console. */
exports.logTitle = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    log(os.EOL);
    log(chalk_1.default.green(separator));
    args.forEach(function (t) { return log(chalk_1.default.green(t)); });
    log(chalk_1.default.green(separator));
    log(os.EOL);
};
//# sourceMappingURL=loggers.js.map