import * as path from 'path'

const destPath = (...args: string[]) => path.join('test/dest', ...args)

function arrayContainsArray(superset: any[], subset: any[]) {
  return subset.every((value: any) => {
    return superset.indexOf(value) >= 0
  })
}

export { arrayContainsArray, destPath }
