"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var PROCESS_CWD = process.cwd();
var INIT_CWD = process.env.INIT_CWD;
/**
 * Symlinks and gulp sometimes fight with each other.
 * We can resolve to the true base dir of Timpla using this file!
 */
var TIMPLA_DIR = path.resolve(__dirname, '../../');
exports.TIMPLA_PROCESS = {
    BABEL_ENV: process.env.BABEL_ENV,
    INIT_CWD: INIT_CWD,
    IS_DEBUGGING: process.env.DEBUG === 'timpla',
    IS_LOCAL_TIMPLADEV: PROCESS_CWD === INIT_CWD,
    MEASURE: !!process.env.MEASURE,
    NODE_ENV: process.env.NODE_ENV || 'development',
    PROCESS_CWD: PROCESS_CWD,
    TIMPLA_CONFIG_FILE: process.env.TIMPLA_CONFIG_FILE,
    TIMPLA_DEV_RELOAD: process.env.TIMPLA_DEV_RELOAD,
    TIMPLA_DIR: TIMPLA_DIR,
    isDevelopment: process.env.NODE_ENV !== 'production',
    isProduction: process.env.NODE_ENV === 'production',
    isTimplaReloaded: process.env.TIMPLA_DEV_RELOAD === 'true',
};
//# sourceMappingURL=TIMPLA_PROCESS.js.map